Skip to main content
POST
/
unsubscribe
/
import-list
/
{baseId}
cURL
curl --request POST \
  --url https://app.teable.ai/api/unsubscribe/import-list/%7BbaseId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"notify":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"presignedUrl":"string"}}'
const url = 'https://app.teable.ai/api/unsubscribe/import-list/%7BbaseId%7D';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"notify":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"presignedUrl":"string"}}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/unsubscribe/import-list/%7BbaseId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
notify: {
token: 'xxxxxxxxxxx',
size: 1024,
url: '/bucket/xxxxx',
path: '/table/xxxxxx',
mimetype: 'video/mp4',
width: 100,
height: 100,
presignedUrl: 'string'
}
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"notify\":{\"token\":\"xxxxxxxxxxx\",\"size\":1024,\"url\":\"/bucket/xxxxx\",\"path\":\"/table/xxxxxx\",\"mimetype\":\"video/mp4\",\"width\":100,\"height\":100,\"presignedUrl\":\"string\"}}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/unsubscribe/import-list/%7BbaseId%7D", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


true

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required

Body

application/json
notify
object
required

Response

200 - application/json

Successful response

The response is of type boolean.

Last modified on March 5, 2026